GetDependencyMetadata
Returns a specified dependency metadata object.
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/dependency-metadata/{uuid}{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"dependency_data": {
"direct": true,
"abstract": true,
"approximation": true,
"callgraph_available": true,
"container_data": {
"first_reachable_time": "2023-11-07T05:31:56Z",
"last_reachable_time": "2023-11-07T05:31:56Z",
"layers": [
{
"digest": "<string>",
"base_layer": true,
"file_locations": [
"<string>"
]
}
],
"reachable_count": "<string>",
"runtime_files": [
"<string>"
],
"user_application_dependency": true
},
"declared_licenses": [
{
"category": "<string>",
"spdx_id": "<string>",
"type": "<string>"
}
],
"discovered_licenses": [
{
"category": "<string>",
"spdx_id": "<string>",
"type": "<string>"
}
],
"discovery_type": "DISCOVERY_TYPE_UNSPECIFIED",
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"eol": true,
"eol_timestamp": "2023-11-07T05:31:56Z",
"internal": true,
"last_commit": "2023-11-07T05:31:56Z",
"missing": true,
"namespace": "<string>",
"orphan": true,
"package_name": "<string>",
"package_version_uuid": "<string>",
"parent_count": 123,
"parent_version_name": "<string>",
"patched": true,
"pinned": true,
"project_paths": [
{
"nodes": [
"<string>"
]
}
],
"project_uuid": "<string>",
"public": true,
"purl": "<string>",
"reachable": "REACHABILITY_TYPE_UNSPECIFIED",
"repo_name": "<string>",
"resolved_version": "<string>",
"scope": "DEPENDENCY_SCOPE_UNSPECIFIED",
"unresolved_version": "<string>",
"utilization": 123,
"vendored": true
},
"importer_data": {
"callgraph_available": true,
"package_name": "<string>",
"package_version_name": "<string>",
"package_version_ref": "<string>",
"package_version_uuid": "<string>",
"project_uuid": "<string>",
"container_base_image": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"update_options": {
"latest_version": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"package_version_uuid": "<string>"
},
"next_version": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"package_version_uuid": "<string>"
},
"refreshed": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"package_version_uuid": "<string>"
},
"update_time": "2023-11-07T05:31:56Z"
}
},
"package_version_sha": "<string>",
"version_name": "<string>"
}
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
Information about the relationship between a root package version (importer) and one of its dependencies. DependencyMetadata objects are children of the root PackageVersion object and belong to the same project and namespace as the root PackageVersion object. They are connected to the importer project through spec.importer_data.project_uuid, and to the dependency project through spec.dependency_data.project_uuid.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
DependencyMetadata specific data.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of the object.
Was this page helpful?
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/dependency-metadata/{uuid}{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"dependency_data": {
"direct": true,
"abstract": true,
"approximation": true,
"callgraph_available": true,
"container_data": {
"first_reachable_time": "2023-11-07T05:31:56Z",
"last_reachable_time": "2023-11-07T05:31:56Z",
"layers": [
{
"digest": "<string>",
"base_layer": true,
"file_locations": [
"<string>"
]
}
],
"reachable_count": "<string>",
"runtime_files": [
"<string>"
],
"user_application_dependency": true
},
"declared_licenses": [
{
"category": "<string>",
"spdx_id": "<string>",
"type": "<string>"
}
],
"discovered_licenses": [
{
"category": "<string>",
"spdx_id": "<string>",
"type": "<string>"
}
],
"discovery_type": "DISCOVERY_TYPE_UNSPECIFIED",
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"eol": true,
"eol_timestamp": "2023-11-07T05:31:56Z",
"internal": true,
"last_commit": "2023-11-07T05:31:56Z",
"missing": true,
"namespace": "<string>",
"orphan": true,
"package_name": "<string>",
"package_version_uuid": "<string>",
"parent_count": 123,
"parent_version_name": "<string>",
"patched": true,
"pinned": true,
"project_paths": [
{
"nodes": [
"<string>"
]
}
],
"project_uuid": "<string>",
"public": true,
"purl": "<string>",
"reachable": "REACHABILITY_TYPE_UNSPECIFIED",
"repo_name": "<string>",
"resolved_version": "<string>",
"scope": "DEPENDENCY_SCOPE_UNSPECIFIED",
"unresolved_version": "<string>",
"utilization": 123,
"vendored": true
},
"importer_data": {
"callgraph_available": true,
"package_name": "<string>",
"package_version_name": "<string>",
"package_version_ref": "<string>",
"package_version_uuid": "<string>",
"project_uuid": "<string>",
"container_base_image": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"update_options": {
"latest_version": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"package_version_uuid": "<string>"
},
"next_version": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"package_version_uuid": "<string>"
},
"refreshed": {
"chain_id": "<string>",
"digest": "<string>",
"name": "<string>",
"package_version_uuid": "<string>"
},
"update_time": "2023-11-07T05:31:56Z"
}
},
"package_version_sha": "<string>",
"version_name": "<string>"
}
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}